@font-face {
    font-family: 'AtlasGrotesk';
    src: url('fonts/AtlasGrotesk-Regular.woff2') format('woff2'),
        url('fonts/AtlasGrotesk-Regular.woff') format('woff');
    font-weight: normal;
    font-display: swap;
}

* {
    font-family: "AtlasGrotesk";
}

::selection {
    color: white;
    background-color: black;
}

html,
body {
    margin: 0;
    height: 100%;
    overflow: hidden;
}

a {
    text-decoration: none;
    color: black;
    transition: 0.3s;
}

#drom {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    bottom: 8px;
    display: none;
    z-index: 999;
}

#drom div {
    border: 1px solid black;
    border-radius: 5px;
    background-color: white;
    padding: 3px;
    margin-left: 2px;
    margin-right: 2px;
    cursor: pointer;
}

#reunion {
    right: 50px;
}

#martinique {
    right: 82px;
}

#guadeloupe {
    right: 114px;
}

#guyane {
    right: 146px;
}

#mayotte {
    right: 178px;
}

.greyed {
    opacity: 0.5;
}

.fullScreenIcon {
    border: 1px solid black;
    border-radius: 5px;
    background-color: white;
    padding: 3px;
    position: fixed;
    bottom: 8px;
    right: 10px;
    z-index: 999;
    cursor: pointer;
}

.fullScreenIcon img,
#drom img {
    vertical-align: middle;
}

#notFullScreen {
    display: none;
}

#map {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: #1d1d1d;
}

.leaflet-popup-content-wrapper {
    max-width: 280px;
    border: 1px solid black;
    box-shadow: none !important;
    border-radius: 5px !important;
}

.leaflet-popup-content-wrapper .leaflet-popup-content {
    font-size: 1.2em;
    color: black;
    margin: 7px !important;
}

.leaflet-popup-tip-container {
    opacity: 0;
}

.leaflet-popup-close-button {
    display: none;
}

.leaflet-marker-icon {
    position: relative !important;
    display: none !important;
}

.leaflet-control-attribution {
    background: none !important;
    color: white !important;
}

.leaflet-control-attribution a {
    color: white !important;
}

.leaflet-control-zoom {
    position: absolute;
    bottom: 0px;
    left: -4px;
}

.leaflet-bar {
    border: none !important;
}

.leaflet-bar a {
    background-color: white !important;
    border: 1px solid black !important;
    margin-bottom: 2px;
    border-radius: 5px !important;
    color: black !important;
}

.leaflet-osm-pane .leaflet-tile {
    -webkit-filter: opacity(100%) grayscale(100%) brightness(70%) invert(1);
    /*filter: opacity(100%) brightness(70%) invert(1) hue-rotate(200deg);*/
    filter: opacity(10%) grayscale(100%) brightness(130%) invert(1);
}

.leaflet-france-pane .leaflet-tile {
    -webkit-filter: opacity(100%) grayscale(100%) brightness(70%) invert(1);
    /*filter: opacity(100%) brightness(70%) invert(1) hue-rotate(200deg);*/
    filter: opacity(80%) grayscale(100%) brightness(80%) invert(1);
}

.popup {
    font-size: 12px;
}

.popup .title {
    padding-bottom: 16px;
}

.popup .title b {
    font-size: 14px;
}

.popup img {
    width: 12px;
    height: 12px;
    margin-left: -3px;
    transform: translateY(2px);
    opacity: 35%;
}

.popup .depassements {
    margin-bottom: 5px;
    font-weight: bold;
}

.popup .substance {
    display: flex;
    justify-content: space-between;
}

.popup .mesure_max {
    padding-left: 10px;
    color: grey;
}

g image {
    cursor: pointer;
}

#sideContainer {
    position: fixed;
    background-color: white;
    top: 49px;
    left: 6px;
    width: 250px;
    height: 138px;
    border: 1px solid black;
    border-radius: 5px;
    display: block;
    box-shadow: none;
    z-index: 999999;
    padding: 15px;
    font-size: 12px;
}

#sideContainer .title {
    padding-bottom: 6px;
    font-weight: bold;
    font-size: 13px;
}

#sideContainer .details {
    color: grey;
    font-size: 10px;
    margin-top: 10px;
}

.circle {
    width: 12px;
    height: 12px;
    display: inline-block;
    border-radius: 100px;
    margin-right: 3px;
}

.circle.black {
    background-color: #380000;
}

.circle.red {
    background-color: #A10000;
}

.circle.orange {
    background-color: #F54927;
}

.circle.yellow {
    background-color: #E0A836;
}

.circle.grey {
    background-color: #dbdbdb;
}

#familles {
    position: fixed;
    top: 6px;
    left: 6px;
    height: 65px;
    display: block;
    z-index: 999999;
}

#familles select {
    font-weight: bold;
    min-width: 282px;
    background-color: white;
    border: 1px solid black;
    border-radius: 5px;
    height: 40px;
    margin: 0;
    padding-left: 10px;
}

#bassin {
    position: fixed;
    top: 226px;
    left: 15px;
    width: 250px;
    display: block;
    z-index: 999999;
    font-size: 12px;
    color: white;
}

#searchContainer {
    position: fixed;
    background-color: white;
    top: 6px;
    right: 6px;
    width: 400px;
    height: 38px;
    border: 1px solid black;
    border-radius: 5px;
    display: block;
    box-shadow: none;
    z-index: 999999;
}

#searchInput {
    height: 26px;
    margin-top: 6px;
    margin-left: 10px;
    width: calc(100% - 50px);
    border: 0;
    outline: none;
}

#searchButton {
    margin-top: -2px;
    vertical-align: middle;
    cursor: pointer;
}

#searchResults {
    font-size: 0.85em;
    margin-top: 9px;
    margin-left: -1px;
    background-color: white;
    width: 400px;
    min-height: 40px;
    border: 1px solid black;
    border-top: 0;
    border-radius: 5px;
    display: none;
}

#noResult {
    padding: 10px;
}

.searchResult {
    padding: 7px;
    border-top: 1px solid #00000010;
    cursor: pointer;
    height: 24px;
    overflow: hidden;
    line-height: 25px;
}

.searchResult:hover {
    background-color: black;
    color: white;
}

.searchResult:hover img {
    filter: invert(1)
}

.searchResult img {
    vertical-align: middle;
    margin-right: 5px;
}

.searchResultDetail {
    display: inline-block;
    margin-left: 2px;
    font-size: 0.75em;
    color: grey;
}

input[type=checkbox] {
    height: 0;
    width: 0;
    visibility: hidden;
}

.switch {
    opacity: 1;
    margin-left: 6px;
}

label {
    cursor: pointer;
    width: 25px;
    height: 15px;
    background: #00000020;
    display: inline-block;
    border-radius: 100px;
    position: relative;
    transform: translateY(2px) translateX(-12px);
    margin-right: -2px;
}

label:after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 11px;
    height: 11px;
    background: #fff;
    border-radius: 90px;
    transition: 0.2s;
}

input:checked+label {
    background: black;
}

#switchBRGM:checked+label {
    background: #ff2323;
}

input:checked+label:after {
    left: calc(100% - 1px);
    transform: translateX(-100%);
}

label:active:after {
    width: 10px;
}

.small {
    font-size: 10px;
    color: grey;
}

h3 {
    font-size: 15px;
    margin: 0;
    margin-top: 20px;
    padding-bottom: 5px;
}

.subcontent {
    background: #f7f7f7;
    border-radius: 5px;
    border: 1px solid black;
    margin: 4px;
    padding: 4px;
}

@media all and (max-width: 799px) {

    #searchContainer {
        top: 222px;
        left: 6px;
        width: calc(100% - 12px);
        z-index: 99999 !important;
    }

    #searchResults {
        width: 100%;
    }

    #sideContainer {
        left: 6px;
        right: 4px;
        width: initial;
    }

    #familles {
        left: 6px;
        right: 4px;
    }

    #familles select {
        width: 100%;
    }

    .content {
        width: 100% !important;
    }

    .fullScreenIcon {
        right: 6px;
    }

    #bassin {
        top: 195px;
        left: 10px;
    }

}

@media all and (max-width: 380px) {}